<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>18. Bash: introducción al uso de la terminal</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1 id="bash-introduccion-al-uso-de-la-terminal">18. Bash: introducción al uso de la terminal</h1>
        <ul>
            <li>
                <p>Horas: 5</p>
            </li>
            <li>
                <p>Tipo: práctico</p>
            </li>
            <li>
                <p>Relaciones: 2e, 17r</p>
            </li>
        </ul>
        <h2 id="descripcion_18">Descripción</h2>
        <p>La producción de publicaciones y la gestión de proyectos editoriales por lo general se dan a través de interfaces gráficas. Pese a su facilidad de uso, esto provoca inconvenientes que afectan la calidad de los productos editoriales. El empleo de la terminal —es decir, la ausencia de entornos gráficos— permite tener un mayor control sobre los documentos y los flujos de trabajo. En este módulo se familiarizará al usuario con la terminal Bash y sus funciones más sencillas para tener un mayor control sobre los proyectos.</p>
        <h2 id="objetivos_18">Objetivos</h2>
        <ul>
            <li>
                <p>Instalar y configurar la terminal Bash.</p>
            </li>
            <li>
                <p>Aprender comandos básicos de Bash.</p>
            </li>
            <li>
                <p>Hacer ejercicios para reforzar el aprendizaje.</p>
            </li>
        </ul>
        <h2 id="temas_18">Temas</h2>
        <ol>
            <li>
                <p>¿Qué son la interfaz de línea de comandos y Bash?</p>
            </li>
            <li>
                <p>Instalación y configuración de Bash.</p>
            </li>
            <li>
                <p>Uso de <code>ls</code>: lista de ficheros.</p>
            </li>
            <li>
                <p>Uso de <code>pwd</code>: impresión de la ubicación.</p>
            </li>
            <li>
                <p>Uso de <code>mkdir</code>: creación de directorios.</p>
            </li>
            <li>
                <p>Uso de <code>cd</code>: cambio de directorio.</p>
            </li>
            <li>
                <p>Uso de <code>nano</code>: creación y edición de archivos.</p>
            </li>
            <li>
                <p>Uso de <code>cat</code>: exhibición de archivos y más.</p>
            </li>
            <li>
                <p>Uso de <code>mv</code>: movimiento o renombre de ficheros.</p>
            </li>
            <li>
                <p>Uso de <code>cp</code>: copia de ficheros.</p>
            </li>
            <li>
                <p>Uso de <code>rm</code>: eliminación de ficheros.</p>
            </li>
            <li>
                <p>Uso de <code>clear</code>: limpieza de la terminal.</p>
            </li>
        </ol>
        <h2 id="conocimientos-previos_18">Conocimientos previos</h2>
        <ul>
            <li>
                <p>Ninguno.</p>
            </li>
        </ul>
        <h2 id="materiales-necesarios_18">Materiales necesarios</h2>
        <ul>
            <li>
                <p>Computadoras con Bash o <span class="smallcap">GNU</span>/Linux instalado.</p>
            </li>
            <li>
                <p>Conexión a internet.</p>
            </li>
            <li>
                <p>Cañón.</p>
            </li>
        </ul>
    </body>
</html>
